from chemsh import *

protein_6pti = Fragment(coords='6pti.pdb', title='6PTI')

namd = NAMD(frag=protein_6pti)

# topologies must be a dict of {segname:topfile}
namd.psfgen(topologies={'HETATM':'toppar_water_ions_namd.str',
                        'ATOM'  :'top_all36_prot.rtf'},
            no_auto='HETATM',
            residue_aliases={'HOH':'TIP3'},
            ignore_undefined=True,
           )
